Create Workspace

Create a Workspace.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the Workspace will belong.

Request

This endpoint expects an object.
namestringRequired<=50 characters
The Workspace's name.
cicdEnforcedDefaultbooleanOptional

Whether new Deployments enforce CI/CD deploys by default.

defaultCloudProviderenumOptional

The default cloud provider for new Deployments. Must be provided together with defaultRegion. Mutually exclusive with defaultClusterId.

Allowed values:
defaultClusterIdstringOptional

The ID of the default cluster for new Deployments. Mutually exclusive with defaultCloudProvider and defaultRegion.

defaultRegionstringOptional

The default region for new Deployments. Must be provided together with defaultCloudProvider. Mutually exclusive with defaultClusterId.

descriptionstringOptional
The Workspace's description.

Response

OK
cicdEnforcedDefaultboolean

Whether CI/CD deploys are enforced by default.

createdAtdatetime

The time when the Workspace was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

idstring
The Workspace's ID.
namestring
The Workspace's name.
organizationIdstring
The ID of the organization to which the workspace belongs.
updatedAtdatetime

The time when the Workspace was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

createdByobjectOptional
defaultCloudProviderenumOptional
The default cloud provider for new Deployments.
defaultClusterIdstringOptional
The ID of the default cluster for new Deployments.
defaultRegionstringOptional
The default region for new Deployments.
descriptionstringOptional
The Workspace's description.
organizationNamestringOptional
The name of the Organization to which the Workspace belongs.
updatedByobjectOptional

Errors

400
Create Workspace Body Bad Request Error
401
Create Workspace Body Unauthorized Error
403
Create Workspace Body Forbidden Error
404
Create Workspace Body Not Found Error
500
Create Workspace Body Internal Server Error